Bug 1647091 - Nautilus integration not working/shows nothing
Summary: Nautilus integration not working/shows nothing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 16:30 UTC by rugk
Modified: 2019-04-22 05:09 UTC (History)
7 users (show)

Fixed In Version: nextcloud-client-2.5.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-22 05:09:36 UTC
Type: Bug


Attachments (Terms of Use)

Description rugk 2018-11-06 16:30:49 UTC
Description of problem: It just shows nothing that has been shown before, such as status indicators and such stuff. Also the context menu contains no "Share" or similar entry.


Version-Release number of selected component (if applicable): 2.3.3-2.fc28.x86_64


How reproducible: Always.


Steps to Reproduce:
1. This happened after the Fedora 28 -> Fedora 29 upgrade.

Actual results:
no integration visible

Expected results:
integration expected

Additional info:
This could be the same issue as other Nautilus extensions are seeing.

https://github.com/andyholmes/gnome-shell-extension-gsconnect/issues/293
https://github.com/atenart/copr-build-mat2/issues/4

Comment 1 rugk 2018-11-06 16:36:44 UTC
Also despite https://bugzilla.redhat.com/show_bug.cgi?id=1563520 claiming otherwise (or misinterpret I something here?) this package still seems to depend on python2-nautilus:

$ LANG=en-US sudo dnf remove python2-nautilus
Dependencies resolved.
================================================================================
 Package                       Arch       Version             Repository   Size
================================================================================
Removing:
 python2-nautilus              x86_64     1.2.1-3.fc29        @System      59 k
Removing dependent packages:
 nextcloud-client-nautilus     x86_64     2.3.3-2.fc28        @System      23 k

Transaction Summary
================================================================================
Remove  3 Packages

Freed space: 689 k
Is this ok [y/N]: 


Possibly related, too: https://bugzilla.redhat.com/show_bug.cgi?id=1638347

Comment 2 mlaverdiere 2018-11-11 23:39:07 UTC
Same problem here on Fedora 29 with Nextcloud 2.3.3-2.fc28. 

Is there a workaround?

Comment 3 mlaverdiere 2018-11-16 15:44:12 UTC
Could it be related to this bug, which seems to be fixed upstream?: https://github.com/nextcloud/desktop/issues/795

Again, if someone has a workaround while we wait for the relevant package to be updated, it would be nice to share it!

Comment 4 Fedora Update System 2018-11-19 16:37:25 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 5 Fedora Update System 2018-11-19 16:37:26 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 6 Fedora Update System 2018-11-19 16:37:47 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 7 Fedora Update System 2018-11-19 16:37:48 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 8 Fedora Update System 2018-11-19 16:38:06 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 9 Fedora Update System 2018-11-19 16:38:08 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 10 Germano Massullo 2018-11-19 16:38:56 UTC
Please test it and report if there is any need to reconfigure login access mode

Comment 11 mlaverdiere 2018-11-20 01:03:26 UTC
I'm testing the new pacakges right now and everything looks fine, including Nautilus integration. I didn't have to reconfigure the login. I just quitted/restarted the client and everything was working. Thanks!

Comment 12 Fedora Update System 2018-11-20 15:21:17 UTC
nextcloud-client-2.5.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 13 Fedora Update System 2018-11-20 17:02:23 UTC
nextcloud-client-2.5.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 14 Fedora Update System 2018-11-20 19:28:38 UTC
nextcloud-client-2.5.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 15 Fedora Update System 2019-01-09 16:16:26 UTC
nextcloud-client-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 16 Fedora Update System 2019-01-09 16:17:50 UTC
nextcloud-client-2.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 17 Fedora Update System 2019-01-11 04:16:37 UTC
nextcloud-client-2.5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 18 Fedora Update System 2019-01-11 05:42:38 UTC
nextcloud-client-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 19 Fedora Update System 2019-04-11 13:20:33 UTC
nextcloud-client-2.5.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 20 Fedora Update System 2019-04-11 13:20:45 UTC
nextcloud-client-2.5.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 21 Fedora Update System 2019-04-13 03:22:01 UTC
nextcloud-client-2.5.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 22 Fedora Update System 2019-04-13 12:10:16 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 23 Fedora Update System 2019-04-22 05:09:36 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.